Помогите выбрать версию vBulletin

Тема в разделе "vBulletin", создана пользователем ArchangelNN, 23 май 2015.

  1. ArchangelNN

    ArchangelNN Постоялец

    Регистр.:
    19 дек 2006
    Сообщения:
    135
    Симпатии:
    20
    Здравствуйте! Который день ломаю голову над выбором версии форума vBulletin. Вся информация и дискуссии в пользу v3.8 на форуме относятся к 2010-2012гг, а как обстоят дела сегодня? Какая версия самая стабильная на сегодняшний день и непроблемная в плане поисков модулей? Спасибо.

    PS XenForo не нравится.
     
  2. Tibald

    Tibald

    Регистр.:
    16 окт 2007
    Сообщения:
    166
    Симпатии:
    64
    С точки зрения безопасности, стоимости разработки модулей, стоимости разработки дизайна, количества модулей, количества стилей - выигрывает vb.3.8
    Но есть один жирный минус: на вид форум будет старый и некрасивый, как и темы которые можно купить и скачать - тоже уже устаревшие.

    Этот минус можно перечеркнуть только если вы действительно будете использовать то, что я выписал как плюсы:
    Если вы будете разрабатывать свой красивый современный дизайн.
    Если вы будете дорабатывать, дописывать модули.
    Плюс у нее самая дешевая лицензия (если брать с рук, и она же входит в лицуху вб4+ если с рук брать).

    Если вы хотите скачать движок, скачать красивую темку и переделать под себя, пару-тройку популярных обычных модулей, то у вас выбора нет, вам нужно минимум vb.4, она в этом плане будет средее по всем тем показателям, что я выписал как плюсы.

    Самая дорогая лицензия, разработка, минимальное кол-во модулей и стилей - это vb5
    Но зато эти стили все новые, современные красивые. Если для вас важно, что бы форум был современным и красивым - то берите vb5, но помните, что чем сырее движок, тем чаще в нем находят дырки. А находят их всегда.


    Если сравнивать с Ксеном, то для меня текущий ксен примерно равен vb4.


    Еще к слову о безопасности. Новых дырок в vb3 не находили уже давно, даже не вспомню дату. А vb5 - последний security patch исправляющий xss уязвимость 22 мая вышел. Это означает, что 22 мая все получили патч, все посмотрели как работала уязвимость. И теперь все знают как применить уязвимость к вам - не успели обновить форум в ручную? - се-ля-ви. - Вот с этой точки зрения использовать vb3 безопаснее всего.
     
    ModernTalking, Siberex, latteo и ещё 1-му нравится это.
  3. ArchangelNN

    ArchangelNN Постоялец

    Регистр.:
    19 дек 2006
    Сообщения:
    135
    Симпатии:
    20
    Спасибо за развернутый ответ, остановлюсь на vb4. Написали про стоимость лицензий, а что касается нулледа - чревато использовать, есть ли с этим какие-то проблемы? На первое время не хотелось бы вкладываться в лицензию - может и проект-то не пойдёт...
     
  4. Tibald

    Tibald

    Регистр.:
    16 окт 2007
    Сообщения:
    166
    Симпатии:
    64
    Со стороны правообладателей - проблем нет. Я себе ставил первую версию тоже нуленую.
    Это было лет 6-7 назад и я тогда совсем был далек от разработки и поиска всякой нечисти в коде. В итоге ее ломанули. Затем был еще один нуль - тоже ломанули.
    Со временем я нашел те дырки. И может совпадение, но для себя я обнаружил, что если бы я получал письма с фиксами от разрабов, то проблем бы можно было избежать.

    По этому тут зависит от вас, если вы хорошо в php разбираетесь, готовы скачать с форумов все уязвимости и проверить на возможно засунутые в нуль какашки, сидеть проверять форум на них и исправлять плюс где-то брать списки рассылки фиксов от разработчиков (наверняка где-то их выкладывают, может и на нулледе даже - не смотрел), то тогда вам можно и с нуля начать.

    Добавлю, что если проект не пойдет, то в личном кабинете, можно на другой проект поменять за 5 минут лицензию, без переписки с сапортом и т.п.

    Если вы хотите быть уверены, что помимо обычных дырок, которые иногда нхаодят в любом продукте у вас нет еще и тех, что с нулем получены, то я бы советовал купить лицензию с рук (примерно 50% от цены будет).

    Ну а так если бы я вернулся в прошлое, то я бы начал проект на чем-то фришном, а уже потом если он "пошел", то перенес на воблу. Например phpBB или Discuz (Второй по-моему очень крутой).

    Если подвести итоги, то имхо картина такая:
    Если у вас много времени и знаний, но хотите именно vb - ставьте нулл
    Если у вас мало времени и знаний, но хотите именно vb - ставьте лиц
    Если вам нужен компромис между этими двумя пунктами - ставьте другой движок
     
    alexo нравится это.
  5. alexo

    alexo

    Регистр.:
    28 май 2006
    Сообщения:
    311
    Симпатии:
    5
    тогда если не сложно может дать линк на vb.3.8
    Уже 5 страницу просмотрел - 1 линк и то дохлый

    СПС
     
  6. interdividend

    interdividend Создатель

    Регистр.:
    23 дек 2014
    Сообщения:
    19
    Симпатии:
    2
  7. holper

    holper Создатель

    Регистр.:
    24 дек 2014
    Сообщения:
    10
    Симпатии:
    0
    Жалею, что когда-то решил обновлять булку. 3.8 была самое то. После и желание пропало ковыряться в этом выросшем в непонятно что чудище. Может сейчас и исправили, не знаю, но если бы сейчас возобновлял работу с форумом, то откатил бы версию...
     
  8. ITomSawyerI

    ITomSawyerI Создатель

    Регистр.:
    16 фев 2009
    Сообщения:
    20
    Симпатии:
    0
    Да, 3.8 - самая актуальная и удобная на данный момент
     
  9. Denisemni

    Denisemni Создатель

    Регистр.:
    9 мар 2015
    Сообщения:
    25
    Симпатии:
    1
    Самая актуальная - это 5 версия, тащем-то.
     
  10. асс

    асс

    Регистр.:
    13 окт 2006
    Сообщения:
    756
    Симпатии:
    221
    У меня вообще старая булка стоит еще 2.1.4
    И работает без проблем уже 6 лет. )))